#ifndef PHP_NNTPGRAB_H
#define PHP_NNTPGRAB_H 1

#define PHP_NNTPGRAB_VERSION "0.4"
#define PHP_NNTPGRAB_EXTNAME "nntpgrab"

// Initialisation functions
PHP_MINIT_FUNCTION(nntpgrab);
PHP_MSHUTDOWN_FUNCTION(nntpgrab);

// Normal NNTPGrab functions
PHP_FUNCTION(nntpgrab_connect);
PHP_FUNCTION(nntpgrab_get_is_connected);
PHP_FUNCTION(nntpgrab_get_connect_errmsg);
PHP_FUNCTION(nntpgrab_get_version_info);
PHP_FUNCTION(nntpgrab_config_get_avail_servers);
PHP_FUNCTION(nntpgrab_config_get_server_info);
PHP_FUNCTION(nntpgrab_config_add_server);
PHP_FUNCTION(nntpgrab_config_del_server);
PHP_FUNCTION(nntpgrab_config_edit_server);
PHP_FUNCTION(nntpgrab_config_get_opts);
PHP_FUNCTION(nntpgrab_config_set_opts);
PHP_FUNCTION(nntpgrab_config_get_folder_listing);
PHP_FUNCTION(nntpgrab_schedular_start);
PHP_FUNCTION(nntpgrab_schedular_stop);
PHP_FUNCTION(nntpgrab_schedular_get_state);
PHP_FUNCTION(nntpgrab_schedular_add_task_to_queue);
PHP_FUNCTION(nntpgrab_schedular_del_task_from_queue);
PHP_FUNCTION(nntpgrab_schedular_restart_task);
PHP_FUNCTION(nntpgrab_schedular_save_queue);
PHP_FUNCTION(nntpgrab_schedular_get_all_tasks);
PHP_FUNCTION(nntpgrab_schedular_move_task);
PHP_FUNCTION(nntpgrab_schedular_move_collection);
PHP_FUNCTION(nntpgrab_debug_get_messages);
PHP_FUNCTION(nntpgrab_connections_get_speed_history);
PHP_FUNCTION(nntpgrab_utils_strip_subject);
PHP_FUNCTION(nntpgrab_utils_calculate_file_size);
PHP_FUNCTION(nntpgrab_utils_calculate_estimated_time_remaining);
PHP_FUNCTION(nntpgrab_utils_get_readable_time_remaining);
PHP_FUNCTION(nntpgrab_utils_get_readable_finished_time);

extern zend_module_entry nntpgrab_module_entry;
#define phpext_nntpgrab_ptr &nntpgrab_module_entry

#endif
